org.jboss.resteasy.spi.metadata

## Class ResourceBuilder.ResourceLocatorBuilder<T extends ResourceBuilder.ResourceLocatorBuilder>

- java.lang.Object
- - org.jboss.resteasy.spi.metadata.ResourceBuilder.ResourceLocatorBuilder<T>

- Direct Known Subclasses:
    ResourceBuilder.ResourceMethodBuilder
  Enclosing class:
    ResourceBuilder

      public static class ResourceBuilder.ResourceLocatorBuilder<T extends ResourceBuilder.ResourceLocatorBuilder>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceBuilder.ResourceLocatorBuilder(ResourceBuilder.ResourceClassBuilder resourceClassBuilder, Method method, Method annotatedMethod)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResourceBuilder.ResourceClassBuilder` | `buildMethod()`
    `T` | `genericReturnType(Type type)`
    `ResourceBuilder.LocatorMethodParameterBuilder` | `param(int i)`
    `T` | `path(String path)`
    `T` | `returnType(Class<?> type)`
    `T` | `returnType(GenericType type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceBuilder.ResourceLocatorBuilder

          public ResourceBuilder.ResourceLocatorBuilder(ResourceBuilder.ResourceClassBuilder resourceClassBuilder,
                                                Method method,
                                                Method annotatedMethod)

  - ### Method Detail

    - #### returnType

          public T returnType(Class<?> type)

    - #### genericReturnType

          public T genericReturnType(Type type)

    - #### returnType

          public T returnType(GenericType type)

    - #### param

          public ResourceBuilder.LocatorMethodParameterBuilder param(int i)

    - #### buildMethod

          public ResourceBuilder.ResourceClassBuilder buildMethod()

    - #### path

          public T path(String path)

Copyright © 2014. All Rights Reserved.